%define aurox_ver 9.3
%define rel 1


%define usedlang en
%define mainname evolution

Name: %{mainname}-config
Summary: Language dependent configuration files for Evolution.
Version: 1.4.6
Release: %{aurox_ver}.aur.%{rel}.%{usedlang}
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
Group: Applications/Productivity
Source: %{mainname}-config-%{version}.tar.bz2
Patch: %{mainname}-config-aurox-%{usedlang}.patch
Requires: %{mainname} = %{version}
Provides: %{mainname}-config
PreReq: scrollkeeper >= 0.1.4
PreReq: GConf2

%description
Langauge dependent configuration files for Evolution.

%prep
%setup -n %{mainname}-config-%{version}
%patch -p1 -b .aurox

%build

%install
SCHEMAS="apps_evolution_addressbook.schemas apps_evolution_calendar.schemas apps_evolution_shell.schemas apps_evolution_summary.schemas evolution-mail.schemas"
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
for S in $SCHEMAS; do
  install $S $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/$S
done

# evolution is the preferred email app
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
ln -sf %{_datadir}/desktop-menu-patches/aurox-email.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_evolution_addressbook.schemas apps_evolution_calendar.schemas apps_evolution_shell.schemas apps_evolution_summary.schemas evolution-mail.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*

%changelog
* Thu Mar 18 2004 Aurox Team <aurox@aurox.org> 0:1.4.6-9.3.aur.1.en
- update to new evolution release

* Fri Oct 03 2003 Robert Glowczynski <robertg@software.com.pl> 1.4.5-9.1.aur.1
- schemas from evolution 1.4.5

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4.3-9.1.aur.2
- use alternative patches for languages other than Spanish

* Mon Jul 14 2003 Robert Glowczynski <robertg@software.com.pl> 1.4.3-9.1.aur.1
- separate schemas from Evolution source
- build as set of 'per language' packages providing evolution-config
